Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## saito.objloader
Class Segment

    java.lang.Object
      saito.objloader.Segment

    public class Segment

extends java.lang.Object

Field Summary
`java.nio.FloatBuffer` | `dataFB`
`java.util.ArrayList<Face>` | `faces`
`java.nio.IntBuffer` | `indexIB`
`java.lang.String` | `materialName`

Constructor Summary
`Segment()` Constructor for the ModelSegment, each Segment holds a Vector of Elements.

Method Summary
`void` | `beginDrawGL(GL gl)`
`void` | `drawGL(GL gl, int GLTYPE)`
`void` | `endDrawGL(GL gl)`
`Face` | `getFace(int index)`
`int` | `getFaceCount()`
`Face[]` | `getFaces()`
`int` | `getIndexCount()`
`PVector[]` | `getIndices()`
`java.lang.String` | `getMaterialName()`
`void` | `setupGL(GL gl, Debug debug, PVector[] p, PVector[] t, PVector[] n)`
`void` | `sortFacesByX()`
`void` | `sortFacesByY()`
`void` | `sortFacesByZ()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### faces

    public java.util.ArrayList<Face> faces

### materialName

    public java.lang.String materialName

### indexIB

    public java.nio.IntBuffer indexIB

### dataFB

    public java.nio.FloatBuffer dataFB

Constructor Detail

### Segment

    public Segment()

  Constructor for the ModelSegment, each Segment holds a Vector of Elements. each element is a collection of indexes to the vert, normal, and UV arrays that make up a single face.

Method Detail

### getMaterialName

    public java.lang.String getMaterialName()

### getFace

    public Face getFace(int index)

### getFaces

    public Face[] getFaces()

### getIndices

    public PVector[] getIndices()

### getFaceCount

    public int getFaceCount()

### getIndexCount

    public int getIndexCount()

### sortFacesByX

    public void sortFacesByX()

### sortFacesByY

    public void sortFacesByY()

### sortFacesByZ

    public void sortFacesByZ()

### setupGL

    public void setupGL(GL gl,
                        Debug debug,
                        PVector[] p,
                        PVector[] t,
                        PVector[] n)

### beginDrawGL

    public void beginDrawGL(GL gl)

### drawGL

    public void drawGL(GL gl,
                       int GLTYPE)

### endDrawGL

    public void endDrawGL(GL gl)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library OBJLoader by Saito, Matt Ditton, Ekene Ijeoma. (c) 2010